import { EventEmitter } from "../../stencil-public-runtime";
import { Currency } from "isoly";
import * as langly from "langly";
import { Item } from "@payfunc/model";
export declare class IntergiroItemsList {
  element: HTMLElement;
  t: langly.Translate;
  items: number | Item | Item[];
  currency: Currency;
  editable: boolean;
  changed: EventEmitter;
  componentWillLoad(): void;
  edited(e: CustomEvent, index?: number): void;
  render(): any[];
}
